{
	"configurations" : 
	[
		{
			"directories" : 
			[
				{
					"build" : ".",
					"childIndexes" : 
					[
						1,
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						14,
						15,
						16,
						17,
						18,
						19,
						20,
						21,
						22,
						23,
						24
					],
					"jsonFile" : "directory-.-Debug-f5ebdc15457944623624.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.15"
					},
					"projectIndex" : 0,
					"source" : "."
				},
				{
					"build" : "SimpleFactory",
					"jsonFile" : "directory-SimpleFactory-Debug-451ee50963bf21052da0.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 1,
					"source" : "SimpleFactory",
					"targetIndexes" : 
					[
						18
					]
				},
				{
					"build" : "factoryMethod",
					"jsonFile" : "directory-factoryMethod-Debug-d86885b6cc17170c0428.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 2,
					"source" : "factoryMethod",
					"targetIndexes" : 
					[
						10
					]
				},
				{
					"build" : "abstractFactory",
					"jsonFile" : "directory-abstractFactory-Debug-ade70e5c13b8c226e6b7.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 3,
					"source" : "abstractFactory",
					"targetIndexes" : 
					[
						0
					]
				},
				{
					"build" : "builder",
					"jsonFile" : "directory-builder-Debug-ee771678a71e618352ac.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 4,
					"source" : "builder",
					"targetIndexes" : 
					[
						3
					]
				},
				{
					"build" : "singleton",
					"jsonFile" : "directory-singleton-Debug-41d35240fe905a901f76.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 5,
					"source" : "singleton",
					"targetIndexes" : 
					[
						19
					]
				},
				{
					"build" : "clone",
					"jsonFile" : "directory-clone-Debug-7d5f6c7c49574a472765.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 6,
					"source" : "clone",
					"targetIndexes" : 
					[
						5
					]
				},
				{
					"build" : "proxy",
					"jsonFile" : "directory-proxy-Debug-059fe916dfb10a7efb52.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 7,
					"source" : "proxy",
					"targetIndexes" : 
					[
						17
					]
				},
				{
					"build" : "bridge",
					"jsonFile" : "directory-bridge-Debug-474fada2a5039e4b4430.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 8,
					"source" : "bridge",
					"targetIndexes" : 
					[
						2
					]
				},
				{
					"build" : "decorator",
					"jsonFile" : "directory-decorator-Debug-2cb1812bba392ef618aa.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 9,
					"source" : "decorator",
					"targetIndexes" : 
					[
						8
					]
				},
				{
					"build" : "adapter",
					"jsonFile" : "directory-adapter-Debug-fdcdf856a59ad113b213.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 10,
					"source" : "adapter",
					"targetIndexes" : 
					[
						1
					]
				},
				{
					"build" : "facade",
					"jsonFile" : "directory-facade-Debug-45ba2eb4ccbce7ddb211.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 11,
					"source" : "facade",
					"targetIndexes" : 
					[
						9
					]
				},
				{
					"build" : "composite",
					"jsonFile" : "directory-composite-Debug-4a01c53313ed1f864b0d.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 12,
					"source" : "composite",
					"targetIndexes" : 
					[
						7
					]
				},
				{
					"build" : "flyweight",
					"jsonFile" : "directory-flyweight-Debug-0b0b165cb4e7e51486bd.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 13,
					"source" : "flyweight",
					"targetIndexes" : 
					[
						11
					]
				},
				{
					"build" : "observer",
					"jsonFile" : "directory-observer-Debug-0a438a70d07d7bab0fdb.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 14,
					"source" : "observer",
					"targetIndexes" : 
					[
						16
					]
				},
				{
					"build" : "template",
					"jsonFile" : "directory-template-Debug-fab23699a019dfe38ff2.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 15,
					"source" : "template",
					"targetIndexes" : 
					[
						22
					]
				},
				{
					"build" : "strategy",
					"jsonFile" : "directory-strategy-Debug-2460f2bf373932ce3e83.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 16,
					"source" : "strategy",
					"targetIndexes" : 
					[
						21
					]
				},
				{
					"build" : "chainOfResponsibility",
					"jsonFile" : "directory-chainOfResponsibility-Debug-54172ab02f82979453ad.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 17,
					"source" : "chainOfResponsibility",
					"targetIndexes" : 
					[
						4
					]
				},
				{
					"build" : "state",
					"jsonFile" : "directory-state-Debug-1fa724529672778e60d7.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 18,
					"source" : "state",
					"targetIndexes" : 
					[
						20
					]
				},
				{
					"build" : "iterator",
					"jsonFile" : "directory-iterator-Debug-f21a9004d384b4181d1e.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 19,
					"source" : "iterator",
					"targetIndexes" : 
					[
						13
					]
				},
				{
					"build" : "visitor",
					"jsonFile" : "directory-visitor-Debug-38892c72462b95ef59c8.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 20,
					"source" : "visitor",
					"targetIndexes" : 
					[
						23
					]
				},
				{
					"build" : "memento",
					"jsonFile" : "directory-memento-Debug-73510c6c4f724f36e267.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 21,
					"source" : "memento",
					"targetIndexes" : 
					[
						15
					]
				},
				{
					"build" : "command",
					"jsonFile" : "directory-command-Debug-fb1bb45cad38f7bf8058.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 22,
					"source" : "command",
					"targetIndexes" : 
					[
						6
					]
				},
				{
					"build" : "interpreter",
					"jsonFile" : "directory-interpreter-Debug-24811cf786ac82e7ac4a.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 23,
					"source" : "interpreter",
					"targetIndexes" : 
					[
						12
					]
				},
				{
					"build" : "mediator",
					"jsonFile" : "directory-mediator-Debug-03d813d5b751b266d14b.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.10"
					},
					"parentIndex" : 0,
					"projectIndex" : 24,
					"source" : "mediator",
					"targetIndexes" : 
					[
						14
					]
				}
			],
			"name" : "Debug",
			"projects" : 
			[
				{
					"childIndexes" : 
					[
						1,
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						14,
						15,
						16,
						17,
						18,
						19,
						20,
						21,
						22,
						23,
						24
					],
					"directoryIndexes" : 
					[
						0
					],
					"name" : "cplusplus_design_pattern"
				},
				{
					"directoryIndexes" : 
					[
						1
					],
					"name" : "SimpleFactory",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						18
					]
				},
				{
					"directoryIndexes" : 
					[
						2
					],
					"name" : "FactoryMethod",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						10
					]
				},
				{
					"directoryIndexes" : 
					[
						3
					],
					"name" : "AbstractFactory",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						0
					]
				},
				{
					"directoryIndexes" : 
					[
						4
					],
					"name" : "Builder",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						3
					]
				},
				{
					"directoryIndexes" : 
					[
						5
					],
					"name" : "Singleton",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						19
					]
				},
				{
					"directoryIndexes" : 
					[
						6
					],
					"name" : "Clone",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						5
					]
				},
				{
					"directoryIndexes" : 
					[
						7
					],
					"name" : "Proxy",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						17
					]
				},
				{
					"directoryIndexes" : 
					[
						8
					],
					"name" : "Bridge",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						2
					]
				},
				{
					"directoryIndexes" : 
					[
						9
					],
					"name" : "Decorator",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						8
					]
				},
				{
					"directoryIndexes" : 
					[
						10
					],
					"name" : "Adapter",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						1
					]
				},
				{
					"directoryIndexes" : 
					[
						11
					],
					"name" : "Facade",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						9
					]
				},
				{
					"directoryIndexes" : 
					[
						12
					],
					"name" : "Composite",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						7
					]
				},
				{
					"directoryIndexes" : 
					[
						13
					],
					"name" : "flyWeight",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						11
					]
				},
				{
					"directoryIndexes" : 
					[
						14
					],
					"name" : "Observer",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						16
					]
				},
				{
					"directoryIndexes" : 
					[
						15
					],
					"name" : "Template",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						22
					]
				},
				{
					"directoryIndexes" : 
					[
						16
					],
					"name" : "Strategy",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						21
					]
				},
				{
					"directoryIndexes" : 
					[
						17
					],
					"name" : "ChainOfResponsibility",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						4
					]
				},
				{
					"directoryIndexes" : 
					[
						18
					],
					"name" : "State",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						20
					]
				},
				{
					"directoryIndexes" : 
					[
						19
					],
					"name" : "Iterator",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						13
					]
				},
				{
					"directoryIndexes" : 
					[
						20
					],
					"name" : "Visitor",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						23
					]
				},
				{
					"directoryIndexes" : 
					[
						21
					],
					"name" : "Memento",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						15
					]
				},
				{
					"directoryIndexes" : 
					[
						22
					],
					"name" : "Command",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						6
					]
				},
				{
					"directoryIndexes" : 
					[
						23
					],
					"name" : "Interpreter",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						12
					]
				},
				{
					"directoryIndexes" : 
					[
						24
					],
					"name" : "Mediator",
					"parentIndex" : 0,
					"targetIndexes" : 
					[
						14
					]
				}
			],
			"targets" : 
			[
				{
					"directoryIndex" : 3,
					"id" : "abstractFactory::@92237ee81df97d7656a2",
					"jsonFile" : "target-abstractFactory-Debug-4207ba6ac9585a24c184.json",
					"name" : "abstractFactory",
					"projectIndex" : 3
				},
				{
					"directoryIndex" : 10,
					"id" : "adapter::@7836dd37d6d479cf13f2",
					"jsonFile" : "target-adapter-Debug-e0c198393fa7884c777d.json",
					"name" : "adapter",
					"projectIndex" : 10
				},
				{
					"directoryIndex" : 8,
					"id" : "bridge::@5d86fe588f3a0996b685",
					"jsonFile" : "target-bridge-Debug-ccf387c7acc2e7b46178.json",
					"name" : "bridge",
					"projectIndex" : 8
				},
				{
					"directoryIndex" : 4,
					"id" : "builder::@57f5f9fdb86bdb0b3cc6",
					"jsonFile" : "target-builder-Debug-e5606e026627eb03a703.json",
					"name" : "builder",
					"projectIndex" : 4
				},
				{
					"directoryIndex" : 17,
					"id" : "chainOfResponsibility::@c57e1e58c4034ea49bad",
					"jsonFile" : "target-chainOfResponsibility-Debug-8e019cdd7e3bc2e16a48.json",
					"name" : "chainOfResponsibility",
					"projectIndex" : 17
				},
				{
					"directoryIndex" : 6,
					"id" : "clone::@6c2e44307f8d1dc9cf7f",
					"jsonFile" : "target-clone-Debug-8dfb19681d12538edf9e.json",
					"name" : "clone",
					"projectIndex" : 6
				},
				{
					"directoryIndex" : 22,
					"id" : "command::@ec3faa76f6536ff204f7",
					"jsonFile" : "target-command-Debug-d72b5c09c53c36ef16ef.json",
					"name" : "command",
					"projectIndex" : 22
				},
				{
					"directoryIndex" : 12,
					"id" : "composite::@51cbb552efd36f6bef6e",
					"jsonFile" : "target-composite-Debug-c09541c89856acd2d4d3.json",
					"name" : "composite",
					"projectIndex" : 12
				},
				{
					"directoryIndex" : 9,
					"id" : "decorator::@68fc26dd27423b244659",
					"jsonFile" : "target-decorator-Debug-c478cd5ec8b68502e515.json",
					"name" : "decorator",
					"projectIndex" : 9
				},
				{
					"directoryIndex" : 11,
					"id" : "facade::@d2a50f670da7414a1c4b",
					"jsonFile" : "target-facade-Debug-87900f342f38b7367682.json",
					"name" : "facade",
					"projectIndex" : 11
				},
				{
					"directoryIndex" : 2,
					"id" : "factoryMethod::@8f561f0b17088acfc6e4",
					"jsonFile" : "target-factoryMethod-Debug-7546115a1b22aa692862.json",
					"name" : "factoryMethod",
					"projectIndex" : 2
				},
				{
					"directoryIndex" : 13,
					"id" : "flyWeight::@b4c5663a18bf5668fc31",
					"jsonFile" : "target-flyWeight-Debug-d07aa5c0ceb0e62506dc.json",
					"name" : "flyWeight",
					"projectIndex" : 13
				},
				{
					"directoryIndex" : 23,
					"id" : "interpreter::@53be9898ecdd411495e6",
					"jsonFile" : "target-interpreter-Debug-5192f1a5429f7b6f0578.json",
					"name" : "interpreter",
					"projectIndex" : 23
				},
				{
					"directoryIndex" : 19,
					"id" : "iterator::@29c4608fd8fff063f8ac",
					"jsonFile" : "target-iterator-Debug-dbd57c70b4d9dd208214.json",
					"name" : "iterator",
					"projectIndex" : 19
				},
				{
					"directoryIndex" : 24,
					"id" : "mediator::@ad02dd5acc3bf0c2af65",
					"jsonFile" : "target-mediator-Debug-0c37b5d6ebfa9d99f964.json",
					"name" : "mediator",
					"projectIndex" : 24
				},
				{
					"directoryIndex" : 21,
					"id" : "memento::@49f64ec5854b9325444e",
					"jsonFile" : "target-memento-Debug-dcadab768babc08e31c9.json",
					"name" : "memento",
					"projectIndex" : 21
				},
				{
					"directoryIndex" : 14,
					"id" : "observer::@1c94c88f6a36090536bd",
					"jsonFile" : "target-observer-Debug-d553520b45649e14ea4e.json",
					"name" : "observer",
					"projectIndex" : 14
				},
				{
					"directoryIndex" : 7,
					"id" : "proxy::@154b2008a8c6b744f82a",
					"jsonFile" : "target-proxy-Debug-ae10e2052dbf5b467ac4.json",
					"name" : "proxy",
					"projectIndex" : 7
				},
				{
					"directoryIndex" : 1,
					"id" : "simpleFactory::@9dded28bbdbc4249a6d8",
					"jsonFile" : "target-simpleFactory-Debug-39d0bf342abcc3b66d70.json",
					"name" : "simpleFactory",
					"projectIndex" : 1
				},
				{
					"directoryIndex" : 5,
					"id" : "singleton::@bf0005027cf952625567",
					"jsonFile" : "target-singleton-Debug-5db21b1d8d9b33f3ca85.json",
					"name" : "singleton",
					"projectIndex" : 5
				},
				{
					"directoryIndex" : 18,
					"id" : "state::@bd49b55f21b7dc8ed194",
					"jsonFile" : "target-state-Debug-88331780f430840c6118.json",
					"name" : "state",
					"projectIndex" : 18
				},
				{
					"directoryIndex" : 16,
					"id" : "strategy::@241ee8dc02c6c148167d",
					"jsonFile" : "target-strategy-Debug-71f36c2da319920c9d81.json",
					"name" : "strategy",
					"projectIndex" : 16
				},
				{
					"directoryIndex" : 15,
					"id" : "template::@819783a551a942c93948",
					"jsonFile" : "target-template-Debug-f4a11be155448aedf0ec.json",
					"name" : "template",
					"projectIndex" : 15
				},
				{
					"directoryIndex" : 20,
					"id" : "visitor::@c0f9ad8a0077d2586eab",
					"jsonFile" : "target-visitor-Debug-ee5e91db33a89b1caef5.json",
					"name" : "visitor",
					"projectIndex" : 20
				}
			]
		}
	],
	"kind" : "codemodel",
	"paths" : 
	{
		"build" : "/Users/moye/code/Design/build",
		"source" : "/Users/moye/code/Design"
	},
	"version" : 
	{
		"major" : 2,
		"minor" : 5
	}
}
